// Decompiled by Jad v1.5.8e. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/kpdus/jad.html
// Decompiler options: packimports(3) deadcode 
// Source File Name:   MicrosoftExecutionContextParser.java

package com.symantec.itools.lang;

import java.io.BufferedReader;
import java.io.StringReader;

// Referenced classes of package com.symantec.itools.lang:
//            ExecutionContextParser

public class MicrosoftExecutionContextParser extends ExecutionContextParser
{

    protected MicrosoftExecutionContextParser()
    {
    }

    public void parse(String s, int i)
    {
        BufferedReader bufferedreader = new BufferedReader(new StringReader(s));
        i += 2;
        try
        {
            if(bufferedreader.readLine() == null)
                return;
            for(int j = 0; j < i; j++)
                if(bufferedreader.readLine() == null)
                    return;

            String s1 = bufferedreader.readLine().trim();
            int k = s1.indexOf('.');
            super.method = s1.substring(k + 1);
            super.clazz = s1.substring(0, k);
            return;
        }
        catch(Throwable _ex)
        {
            return;
        }
    }
}
